Quikrbox - Api issues - Bug #9154

Store --> Login --> Home Screen --> Orders --> Return Orders --> Order id 1950 --> Details --> Check
Issue below

01/15/2024 07:07 PM - Mohd Irfan

Status: Resolved Start date: 01/15/2024
Priority: High Due date:

Assignee: Irfan Varis % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Issue Description:

Inside the Pending Return order, the details are not coming correctly.
1. More details are not coming

2. The product image does not show

3. The size is coming wrong and the color option does not appear

API LINK: https://quickbox.digitalnoticeboard.biz/storeapi/return-pending-orders?store_id=529

See attached screenshot:
https://quickbox.digitalnoticeboard.biz/storeapi/return-pending-orders?store_id=529

0 Orderid #1950

Reason For Return

(¢) Receiveda broken[damaged item

More Details

(¢) Used product received

Comments

return this product

Imag

Billing Details

Adidas mens ultraboost 22runmi

e: MULTI COLOR
g 11399.40 X 1 =211399.4

Total Refund Amount: Z11399.4
History

#1 - 01/15/2024 07:08 PM - Mohd Irfan
- File clipboard-202401151908-kuyd9.png added
- Description updated

#2 - 01/22/2024 02:55 PM - Deepak Biltoria

need on more parameter in return_order object of api of all api related to ReturnOrders data

#3 - 01/22/2024 02:55 PM - Deepak Biltoria
- Assignee changed from Rakhi Kadyan to olatayo John

#4 - 01/22/2024 06:36 PM - olatayo John

- Status changed from New to Resolved

#5 - 02/01/2024 03:59 PM - Mohd Irfan
- Project changed from QuikrBox Store app Issues to Quikrbox - Api issues
- Status changed from Resolved to New

- Priority changed from Normal to High

#6 - 02/05/2024 11:29 AM - olatayo John

- Status changed from New to Feedback

provide screen record, your description isnt clear

#7 - 02/08/2024 06:43 PM - Mohd Irfan
- File clipboard-202402081842-rgb4w.png added

- Subject changed from Store --> Login --> Home Screen --> Orders --> Return Orders --> Order id 1879 --> Details --> Check Issue below to Store
--> Login --> Home Screen --> Orders --> Return Orders --> Order id 1950 --> Details --> Check Issue below

- Description updated

- Status changed from Feedback to New

#8 - 02/09/2024 10:29 AM - olatayo John
- File 1950_attr.png added
- Project changed from Quikrbox - Api issues to QuikrBox Store app Issues

- Assignee changed from olatayo John to Deepak Biltoria

deepak, whats still pending here?
already provided "return_option_ids" inside "return_order" obj

al€5thatittfimdes on app are showing incorrect compared to API response

#9 - 02/15/2024 01:07 PM - Deepak Biltoria

- Assignee changed from Deepak Biltoria to Mohd Irfan

first the api link provided is wrong as its for store 529

but order- 1950 blongs to store - 580

second the message and screenshot by john is also a little confusing

as its show price to be 800 but the item in question is an addidas shoe with a price of 11399.4
so i think the products that irffan complained about and the one john checked are different.

i need the phone number of store 580 so that i can login

#10 - 02/15/2024 01:20 PM - Deepak Biltoria

- File Screenshot 2024-02-15 at 12.40.24 PM.png added
john see here the order of SIZE and COLOUR is wrong. That is why the issue persists
also, the image inside Return_orders object is corrupted itself.

and issue with return option ids is resolved.

#11 - 02/15/2024 01:21 PM - Deepak Biltoria

- Project changed from QuikrBox Store app Issues to Quikrbox - Api issues

#12 - 02/29/2024 05:16 PM - Mohd Irfan

- Assignee changed from Mohd Irfan to Irfan Varis

#13 - 03/01/2024 06:37 PM - Irfan Varis

- Status changed from New to Resolved

Files

clipboard-202401151907-d1xup.png 282 KB 01/15/2024 Mohd Irfan
clipboard-202401151907-aa6bc.png 282 KB 01/15/2024 Mohd Irfan
clipboard-202401151908-kuyd9.png 313 KB 01/15/2024 Mohd Irfan
clipboard-202402081842-rgb4w.png 261 KB 02/08/2024 Mohd Irfan
1950_attr.png 10.2 KB 02/09/2024 olatayo John
Screenshot 2024-02-15 at 12.40.24 PM.png 143 KB 02/15/2024 Deepak Biltoria
